::YYYY-MM-DD  Version  Author            Change description
::2023-01-05  0        Marek Bryczynski  Initial creation


:: https://cloc.sourceforge.net/#How_it_works
::


set clocDir=bin
set reportDir=report

set codeToBeAnalyzed=%1
set analysisName=%2

set EXCLUDE_DIR=Debug
set FILES_TO_SKIP=filesToSkip.txt

set LANGUAGE_OPTIONS=C,"C/C++ Header"



%clocDir%\cloc-1.64.exe --include-lang=%LANGUAGE_OPTIONS% %codeToBeAnalyzed% --exclude-dir=%EXCLUDE_DIR% --exclude-list-file=%FILES_TO_SKIP% --report-file=reports\%analysisName%.txt